# Uses of Enum Class
org.eclipse.emf.cdo.common.model.CDOFeatureType

Packages that use CDOFeatureType
Package
Description
org.eclipse.emf.cdo.common.model
Common concepts for dealing with models and types.

## Uses of CDOFeatureType in org.eclipse.emf.cdo.common.model

Methods in org.eclipse.emf.cdo.common.model that return CDOFeatureType
Modifier and Type
Method
Description
`static CDOFeatureType`
CDOFeatureType.`read(String str)`
`static CDOFeatureType`
CDOFeatureType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDOFeatureType[]`
CDOFeatureType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.emf.cdo.common.model that return types with arguments of type CDOFeatureType
Modifier and Type
Method
Description
`static Set<CDOFeatureType>`
CDOFeatureType.`readCombination(String str)`
Method parameters in org.eclipse.emf.cdo.common.model with type arguments of type CDOFeatureType
Modifier and Type
Method
Description
`static boolean`
CDOFeatureType.`matchesCombination(EStructuralFeature feature, Collection<CDOFeatureType> featureTypes)`
`static String`
CDOFeatureType.`writeCombination(Collection<CDOFeatureType> featureTypes)`